# Class pyglet.image.ImagePattern

Known Subclasses:
  CheckerImagePattern, SolidColorImagePattern

Abstract image creation class.

## Methods

AbstractImage | create_image(self, width, height) Create an image of the given size.

## Method Details

### create_image

create_image(self, width, height)
Create an image of the given size.

Parameters:
  width : int
    Width of image to create
  height : int
    Height of image to create
Returns: AbstractImage